## ----setupp,echo=FALSE,results="hide"--------------------------------------
suppressWarnings({
suppressPackageStartupMessages({
library(ontoProc)
library(org.Mm.eg.db)
library(org.Hs.eg.db)
})
})

## ----useCO-----------------------------------------------------------------
library(ontoProc)
cellOnto = getCellOnto()
cellOnto

## ----useCO2----------------------------------------------------------------
cochil = children_TAG("CL:0000540", cellOnto) 
cochil
label_TAG("CL:0000540", cellOnto)
siblings_TAG("CL:0000540", cellOnto) 

## ----getcl-----------------------------------------------------------------
cleanNames = function(tset) {
 slot(tset,"cleanFrame")$clean
}
cleanNames(cochil)

## ----lkfuns----------------------------------------------------------------
data(allGOterms)
cellTypeToGO("serotonergic neuron", gotab=allGOterms)
cellTypeToGenes("serotonergic neuron", orgDb=org.Mm.eg.db, gotab=allGOterms)
cellTypeToGenes("serotonergic neuron", orgDb=org.Hs.eg.db, gotab=allGOterms)

